Fix ImportError: Imageio Pillow plugin requires Pillow, not PIL! – ImageIO Tutorial

By | August 30, 2020

If you are using python imageio library to process images, you may find this error: ImportError: Imageio Pillow plugin requires Pillow, not PIL!. In this tutorial, we will introduce how to fix it.

This error likes:

ImportError -Imageio Pillow plugin requires Pillow, not PIL!

How to fix this import error?

First, you should make sure you have installed pillow.

You can use pip to install pillow.

pip install pillow

However, if you have installed pillow, this import error also exists, you should update pillow.

pip install -i https://mirrors.aliyun.com/pypi/simple/ --upgrade pillow

Then you will find this import error is fixed.

Leave a Reply

Your email address will not be published. Required fields are marked *